Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth
Class DestroyFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.security.auth.DestroyFailedException

All Implemented Interfaces:
  Serializable

    public class DestroyFailedException

extends Exception

Signals that a `destroy` operation failed.

This exception is thrown by credentials implementing the `Destroyable` interface when the `destroy` method fails.

See Also:
  Serialized Form

Constructor Summary
`DestroyFailedException()` Constructs a DestroyFailedException with no detail message.
`DestroyFailedException(String msg)` Constructs a DestroyFailedException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DestroyFailedException

    public DestroyFailedException()

  Constructs a DestroyFailedException with no detail message. A detail message is a String that describes this particular exception.

### DestroyFailedException

    public DestroyFailedException(String msg)

  Constructs a DestroyFailedException with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.